import { mutations as mut, SET_LAST_INTERACTION } from '@/store/mutations'
import { MutationPayload, Store } from 'vuex'

export function lastInteraction (store: Store<void>) {
  store.subscribe((mutation: MutationPayload) => {
    if (mutation.type !== SET_LAST_INTERACTION.name) {
      mut.SET_LAST_INTERACTION()
    }
  })
}
